Name:		cgoban
Version:	1.9.14
Release:	%mkrel 16

Summary:	A Go game client
License:	GPLv2+
Group:		Games/Boards
URL:		http://cgoban1.sourceforge.net/
Source:		http://sourceforge.net/projects/cgoban1/%{name}-%{version}.tar.bz2
Buildrequires:	imagemagick
BuildRequires:	libx11-devel
Obsoletes:	cgoban1

%description
Cgoban (Complete Goban) is for Unix systems with X11.  It has the ability
to be a computerized go board, view and edit smart-go files, and connect to
go servers on the Internet.
Cgoban is also a smart interface for GNU Go.

%prep
%setup -q

%build
sed -i -e 's|\"./goDummy\"|\"/usr/games/gnugo --quiet\"|' src/cgoban.c
sed -i -e "s|-O2 -fomit-frame-pointer|%{optflags}|g" configure
chmod +x configure
%configure2_5x
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man6
mkdir -p %{buildroot}/%{_iconsdir}{,/mini,/large}
%makeinstall_std
cp cgoban_icon.png %{buildroot}/%{_iconsdir}/large/cgoban.png
convert cgoban_icon.png -resize 24x24 %{buildroot}/%{_iconsdir}/cgoban.png 
convert cgoban_icon.png -resize 16x16 %{buildroot}/%{_iconsdir}/mini/cgoban.png 

mkdir -p %{buildroot}/%{_datadir}/applications
cat > %{buildroot}/%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=CGoban
Comment=Graphical game of Go
Exec=%{_bindir}/%{name}
Icon=cgoban
Terminal=false
Type=Application
Categories=Game;BoardGame;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,755)
%doc README TODO seigen-minoru.sgf
%{_bindir}/*
%{_mandir}/man6/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/cgoban.png
%{_iconsdir}/*/cgoban.png


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.9.14-16.mga3
+ Revision: 347631
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 29 2011 fwang <fwang> 1.9.14-15.mga2
+ Revision: 150153
- cleanup br

* Mon Mar 14 2011 andre999 <andre999> 1.9.14-14.mga1
+ Revision: 71363
- imported package cgoban

